## FUNCTIONS

### Definition

The system table FUNCTIONS contains all the database functions for which the current user has privileges.

### Structure

FUNCTIONS

SCHEMANAME | CHAR(32) | Name of the schema of the database function
FUNCTIONNAME | CHAR(32) | Name of the database function
OWNER | CHAR(32) | Name of the owner of the database function
PARAMETER | FIXED(4) | Number of parameters for the database function
CREATEDATE | DATE(10) | Creation data of the database function
CREATETIME | TIME(8) | Creation time of the database function
SQL_SUPPORT | CHAR(3) | Database function may contain SQL statements (YES | NO)
DETERMINISTIC | CHAR(3) | Database function can be deterministic (YES | NO)
DEFINITION | LONG | SQL statement for defining the database function
COMMENT | LONG | Comment on the database function

See also:

Evaluating System Tables, FUNCTIONS

SQL Reference Manual, Name of a Database Function (dbfunction_name)